<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 1997-2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="pvm_sci2f77">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>pvm_sci2f77</refname>
    <refpurpose> Convert complex scalar into F77</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[res] = pvm_sci2f77(var)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Arguments</title>
    <variablelist>
      <varlistentry>
        <term>var : local scilab variable.  On  return, the  variable will  be</term>
        <listitem>
          <para>overwritten with the result  of conversion operation.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>res</term>
        <listitem>
          <para>if the parameter var is not a variable, the result of the conversion  is returned in res.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>pvm_sci2f77</literal>  converts all the complex of a scilab variable
    (array, list...) in the F77 representation. MAy be useful if an
    application is sendind data to a non scilab application (direcvtly to
    a C or F77 program for example).</para>
    <para>
    Note that the parameter is passed by adress. It means that if the
    parameter is a variable, this variable will be overwritten with the
    result  of conversion operation. On the other case, if the parameter
    is not a variable, the result will be returned in res.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
a = [1+%i, 2+2*%i,3+3*%i];
pvm_sci2f77(a) 
if norm(a - [1.+2* %i,1+3*%i, 2. + 3. *%i ]) >10*%eps then pause;end
 ]]></programlisting>
  </refsection>
  <refsection role="see also">
<title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="pvm_f772sci">pvm_f772sci</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
